<% local view, viewlibrary, page_info, session = ... %>
<% htmlviewfunctions = require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<% htmlviewfunctions.displaycommandresults({"deletecert", "generatedhparams"}, session) %>
<% htmlviewfunctions.displaycommandresults({"uploadcert"}, session, true) %>

<H1><%= html.html_escape(view.label) %></H1>

<DL>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
	<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Action</TD>
	<TD style="white-space:nowrap;text-align:left;" class="header">Certificate</TD>
	</TR>
<% for i,cert in ipairs(view.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
		<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/deletecert?submit=true&cert="..cert.."&redir="..page_info.orig_action, label="Delete "} %>
		<% if not string.find(cert, "%-key") then %>
		<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/viewcert?cert="..cert.."&redir="..page_info.orig_action, label="View "} %>
		<% end %>
		</TD>
		<TD style="white-space:nowrap;"><%= html.html_escape(cert) %></TD>
	</TR>
<% end %>
</TABLE></DL>

<% if viewlibrary.dispatch_component and viewlibrary.check_permission("uploadcert") then
	viewlibrary.dispatch_component("uploadcert")
end %>

<% if viewlibrary.check_permission("generatedhparams") then %>
<H1>Diffie Hellman Parameters</H1>
<DL>
<form action="<%= html.html_escape(page_info.script .. page_info.prefix .. page_info.controller .. "/generatedhparams") %>">
<DT>Generate Diffie Hellman parameters</DT>
<DD><input class="submit" type="submit" name="submit" value="Generate"></DD>
</form>
</DL>
<% end %>
