<% local view, viewlibrary, page_info, session = ... %>
<% format = require("acf.format") %>
<% html = require("acf.html") %>
<% local shortname = string.gsub(view.value.name, "^.*/", "") %>

<h1><%= html.html_escape(format.cap_begin_word(view.value.type)) %> Config</h1>

<h2><%= html.html_escape(format.cap_begin_word(view.value.type)) %> settings</h2>
<dl>
<dt>Mode</dt>
<dd><%= html.html_escape(view.value.type) %></dd>

<dt>User device</dt>
<dd><%= html.html_escape(view.value.dev) %></dd>

<% if view.value.type == "server" then %>
<dt>Listens on</dt>
<dd><%= html.html_escape(view.value["local"]) %>:<%= html.html_escape(view.value.port) %> (<%= html.html_escape(view.value.proto) %>)</dd>
<% end %>

<% if view.value.type == "client" then %>
<dt>Remote server</dt>
<dd><% if string.find(view.value.remote, "%s") then io.write(html.html_escape(string.gsub(view.value.remote, "%s+", ":"))) else io.write(html.html_escape(view.value.remote .. (view.value.rport or view.value.port or "1194"))) end %> (<%= html.html_escape(view.value.proto) %>)</dd>
<% end %>

<dt>Logfile</dt>
<dd><% if ( view.value.log ) then %><%= html.link{value = page_info.script .. page_info.prefix .. page_info.controller .. "/logfile?name=" .. view.value.name, label=view.value.log } %><% else %>Syslog<% end %> (Verbosity level: <%= html.html_escape(view.value.verb) %>)</dd>
</dl>

<% if view.value.type == "server" then %>
<h3>Connected clients status</h3>
<dl>
<dt>Last status was recorded</dt>
<dd><%= html.html_escape(view.value.client_lastupdate) %> (This was <b><%= html.html_escape(view.value.client_lastdatechangediff) %></b> ago)</dd>

<dt>Maximum clients</dt>
<dd><%= html.html_escape(view.value["max-clients"]) %></dd>

<dt>Connected clients</dt>
<dd><%= html.html_escape(view.value.client_count) %></dd>
</dl>
<% end %>

<% if view.value.dh or view.value.ca or view.value.cert or view.value.key or view.value.tls or view.value.crl then %>
<h2>Certificate files</h2>
<dl>
<% if (view.value.dh) then %>
<dt>DH</dt>
<dd><%= html.link{value = page_info.script .. page_info.prefix .. page_info.controller .. "/viewcert?cert=" .. view.value.dh, label=view.value.dh } %></dd>
<% end %>

<% if (view.value.ca) then %>
<dt>CA Certificate</dt>
<dd><%= html.link{value = page_info.script .. page_info.prefix .. page_info.controller .. "/viewcert?cert=" .. view.value.ca, label=view.value.ca } %></dd>
<% end %>

<% if (view.value.cert) then %>
<dt>Certificate</dt>
<dd><%= html.link{value = page_info.script .. page_info.prefix .. page_info.controller .. "/viewcert?cert=" .. view.value.cert, label=view.value.cert } %></dd>
<% end %>

<% if (view.value.key) then %>
<dt>Private Key</dt>
<dd><%= html.html_escape(view.value.key) %></dd>
<% end %>

<% if (view.value.tls) then %>
<dt>TLS Authentication</dt>
<dd><%= html.html_escape(view.value.tls) %><% -- html.link{value = page_info.script .. page_info.prefix .. page_info.controller .. "/pem_info?name=" .. view.value.tls  , label=view.value.tls } %></dd>
<% end %>

<% if (view.value.crl) then %>
<dt>CRL Verify File</dt>
<dd><%= html.html_escape(view.value.crl) %><% -- html.link{value = page_info.script .. page_info.prefix .. page_info.controller .. "/pem_info?name=" .. view.value.crl  , label=view.value.crl } %></dd>
<% end %>
</dl>
<% end %>
